// $Id: J4PrimaryGeneratorAction.hh,v 1.2 2001/10/06 21:53:15 hoshina Exp $

#ifndef J4PrimaryGeneratorAction_h
#define J4PrimaryGeneratorAction_h 1

#include "G4VUserPrimaryGeneratorAction.hh"
#include "globals.hh"

class G4VPrimaryGenerator;
class G4Event;
class J4PrimaryGeneratorMessenger;

class J4PrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction
{
  public:
    J4PrimaryGeneratorAction();
    ~J4PrimaryGeneratorAction();

  public:
    void GeneratePrimaries(G4Event* anEvent);

    inline void   SetHEPEvtGenerator(G4bool f)  { fUseHEPEvt = f; }
    inline G4bool IsSetHEPEvtGenerator()	{ return fUseHEPEvt; }

  private:
    G4VPrimaryGenerator		*fHEPEvt;
    G4VPrimaryGenerator 	*fParticleGun;
    J4PrimaryGeneratorMessenger *fMessenger;
    G4bool 			 fUseHEPEvt;

};

#endif


