// $Id: J4CDCEndcap.hh,v 1.1.1.1 2001/08/31 07:38:34 hoshina Exp $
#ifndef __J4CDCENDCAP__
#define __J4CDCENDCAP__
//*************************************************************************
//* --------------------
//* J4CDCEndcap
//* --------------------
//* (Description)
//* 	Derivation class for CDC.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4VCDCDetectorComponent.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4CDCEndcap : public J4VCDCDetectorComponent {	

public:
  J4CDCEndcap(J4VDetectorComponent *parent = 0,
  		     G4int nclones   = 1,
  		     G4int nbrothers = 1, 
  		     G4int me = 0);
  virtual ~J4CDCEndcap();

  virtual void	InstallIn(J4VDetectorComponent* mother)   ;
  virtual void	Draw()      ;
  virtual void	Print() const ;
  
private:
  void 	Assemble();    
  void  Cabling ();
  
private:  
  static G4String	fName;
  
};

#endif




