// $Id: J4MagneticField.hh,v 1.1.1.1 2001/08/31 07:38:34 hoshina Exp $
#ifndef __J4MAGNETICFIELD__
#define __J4MAGNETICFIELD__
//*************************************************************************
//* --------------------
//* J4MagneticField
//* --------------------
//* (Description)
//* 	This class applies magnetic field.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2001/02/18  K.Hoshina	Original version.
//*************************************************************************
 
#include "globals.hh"
#include "G4MagneticField.hh"

#include "J4Parameter.hh"

// ====================================================================
// -----------------------
// class definition
// -----------------------
 
class J4MagneticField : public G4MagneticField {
 
public:
  J4MagneticField() { }
  ~J4MagneticField() { }
  
  virtual void GetFieldValue(const  G4double Point[3], 
			     G4double* Bfield ) const;  
};

#endif
