// $Id: J4Beampipe.hh,v 1.1.1.1 2001/08/31 07:38:34 hoshina Exp $
#ifndef __J4Beampipe__
#define __J4Beampipe__
//*************************************************************************
//* --------------------
//* J4Beampipe
//* --------------------
//* (Description)
//* 	Derivation class for Beampipe.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4VBLDetectorComponent.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4Beampipe : public J4VBLDetectorComponent {	

public:
  J4Beampipe(J4VDetectorComponent *parent = 0,
  		     G4int nclones   = 1,
  		     G4int nbrothers = 1, 
  		     G4int me = 0);
  virtual ~J4Beampipe();

  virtual void	InstallIn(J4VDetectorComponent* mother)   ;
  virtual void	Draw()      ;
  virtual void	Print() const ;
  
private:
  void 	Assemble();    
  void  Cabling ();
  
private:  
  static G4String	fName;
  
};

#endif


